# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Fatal.pm) perl(File/Spec/Functions.pm) perl(Test/More.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
#
# Rebuild option:
#
#   --with testsuite         - run the test suite (requires network)
#

Name:           perl-WWW-Bugzilla
Version:        1.5
Release:        alt2_4
Summary:        Handles submission/update of bugzilla bugs via WWW::Mechanize

Group:          Development/Perl
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/WWW-Bugzilla/
Source0:        http://www.cpan.org/authors/id/B/BM/BMC/WWW-Bugzilla-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Class/MethodMaker.pm)
BuildRequires:  perl(WWW/Mechanize.pm)
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(Crypt/SSLeay.pm)
BuildRequires:  perl(Params/Validate.pm)
Requires:       perl(Class/MethodMaker.pm) >= 1.08


Source44: import.info

%description
This module provides a perl API for adding and updating Bugzilla bugs.
It can be useful in writing custom frontends to a Bugzilla server, and
the frontends do not have to sit on the same server as long as they
can reach it via HTTP.


%prep
%setup -q -n WWW-Bugzilla-%{version}
mkdir lib
cp -r WWW lib


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name perllocal.pod -exec rm -f {} ';'
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
%{?_with_testsuite:make test}


%files
%doc ARTISTIC Changes GPL README
%{perl_vendor_privlib}/WWW/


%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_3
- update to new release by fcimport

* Fri May 25 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt2_1
- fc import

* Thu May 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.5-alt1_1
- fc import

* Wed Jun 07 2006 Alexey Tourbin <at@altlinux.ru> 0.6-alt1
- 0.4 -> 0.6
- alt-assigned_to.patch merged upstream (cpan #6603)

* Thu Jun 16 2005 Alexey Tourbin <at@altlinux.ru> 0.4-alt1
- initial revision
- fixed the bug "assigned_to has already been installed" (cpan #6603)
- fixed the bug "Can't locate object method use_ssl" (cpan #13262)
- added support for "matchstr" input field (cpan #13263)
